-- The Index Read Efficiency (IREF) Metric:
-- Remarkably, despite its name, the formula has nothing to do directly with indexes. 
-- Instead, we need to look at the ratio of rows read (evaluated for inclusion in the result set) versus how many rows were actually fetched. The lower the IREF, the better.
-- The formula is:
-- IREF = Rows read / Rows Selected (Fetched)
-- which we can retrieve from the database as:
-- select (rows_read / rows_selected) as IREF from sysibmadm.snapdb where DB_NAME = 'DBNAME'

select rows_read / rows_selected as IREF from sysibmadm.snapdb where DB_NAME = current server ;
