-- The number of SORTS per Transaction (SRTTX) metric:

-- SRTTX = TOTAL_SORTS / TXCNT
-- Java-based applications typically persist data in their own cache, so we are probably not able to directly influence the number of selects or inserts/deletes/updates per transaction; 
-- but you may be able to use physical design techniques to lower SRTTX. Removing Sorts should measurably improve transaction response times and lower CPU consumption.


select 	decimal(decimal(total_sorts,19,3) / decimal((commit_sql_stmts + rollback_sql_stmts + int_commits + int_rollbacks),19,3),3,2) as srttx
from sysibmadm.snapdb ;


